# Template for Knoc plugins

## Entry points

It has 4 standard entry points, defined in `pyproject.toml`:

* CLI
* workflow
* api
* settings

## CI

It has a Forgejo CI build action, defined in `.forgejo/actions/build.yaml`.

## Usage

```fish
set NAME knoc_foo
set DNAME (echo $NAME | tr "_" "-")
```

or with bash:
```bash
NAME=knoc_foo
DNAME=$(echo $NAME | tr "_" "-")
```

Then:
```fish
git clone https://code.philo.ydns.eu/K-Net/knoc-plugin-template.git $DNAME
cd $DNAME
rm -rf .git
mv src/knoc_plugin_template src/$NAME
sed  "s/knoc_plugin_template/$NAME/" -i pyproject.toml
sed  "s/knoc-plugin-template/$DNAME/" -i pyproject.toml
sed  "s/knoc_plugin_template/$NAME/" -i src/$NAME/api.py
sed  "s/knoc_plugin_template/$NAME/" -i src/$NAME/cli.py
sed  "s/knoc_plugin_template/$NAME/" -i src/$NAME/settings.py
sed  "s/knoc_plugin_template/$NAME/" -i src/$NAME/workflows.py
```
